Subject: RE: [ipfix] [issue] wording of transport protocol support

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 13 Jan 2004 00:50:52 +0100

I am working on this right now with Transport ADs.
 
Sorry that it got delayed so long.

Thanks,
Bert 

-----Original Message-----
From: Benoit Claise [mailto:[email-masked]]
Sent: donderdag 8 januari 2004 17:46
To: Wijnen, Bert (Bert)
Cc: ipfix; Stewart Bryant; Mark Fullmer; [email-masked]
Subject: Re: [ipfix] [issue] wording of transport protocol support

Hello Bert,

I will give it a try. But I need some time.

Have you had the chance to think about some text?

Mark and I will be publishing a new version of the protocol draft in a few working days.

Regards, Benoit.

Thanks,
Bert 

-----Original Message-----
From: Benoit Claise [ mailto:[email-masked] <mailto:[email-masked]> ]
Sent: dinsdag 23 december 2003 17:31
To: ipfix
Cc: Wijnen, Bert (Bert); Stewart Bryant; Mark Fullmer; [email-masked] <mailto:[email-masked]> 
Subject: RE: [ipfix] [issue] wording of transport protocol support

Dear all,

As the editor of the protocol draft trying to add some text to the draft, let me try to summarize the situation in order to move forward.
If I wrongly summarized the situation, I'm sure I will stand corrected ;)

>From the proposed text: 

     SCTP SHOULD be used in deployments where exporters and collectors

     are communicating over links which are susceptible to congestion.

     TCP MAY be used in deployments where exporters and collectors

     communicate over links which are suscepible to congestion, but SCTP

     is preferred, due to its ability to limit back pressure on exporters

     (especially when using PR-SCTP) and its message vs. stream orientation.

     Other non-congestion aware protocols MAY be used in deployments where

     exporters and collectors always communicate over dedicated links 

     which are not susceptible to congestion.

We still have the issue of one MUST transport protocol, as mentionned by Bert.

So back to where we were. (personally I was thinking it was a nice solution for the ongoing transport issue though)

But do I understand correctly, from Bert's comments below, that we are on the right track with the last paragraph?

We must nevertheless add some warning text to it to cover the following issue:

some more WARNING text as to what the
risks are, so that if people decide to use it over 
non-congestion-avoiding protocols, that they can easily evaluate what
the risks are and make an educated decision

Someone wants to give it a try?

Regards, Benoit.

-------- Original Message -------- 
Subject: 	RE: [ipfix] [issue] wording of transport protocol support	
Date: 	Fri, 21 Nov 2003 17:02:54 +0100	
From: 	Wijnen, Bert (Bert)  <mailto:[email-masked]> <[email-masked]>	
To: 	Randall Stewart (cisco)  <mailto:[email-masked]> <[email-masked]>	
CC: 	[email-masked] <mailto:[email-masked]> , Mark Fullmer  <mailto:[email-masked]> <[email-masked]>, Peter Lei  <mailto:[email-masked]> <[email-masked]>, "'ipfix wg'"  <mailto:[email-masked]> <[email-masked]>	

> Bert:

> I clip in from my previous post what Allision and Jon were ok with:

> "

>     SCTP SHOULD be used in deployments where exporters and collectors

>     are communicating over links which are susceptible to congestion.

>     TCP MAY be used in deployments where exporters and collectors

>     communicate over links which are suscepible to congestion, but SCTP

>     is preferred, due to its ability to limit back pressure on exporters

>     (especially when using PR-SCTP) and its message vs. stream orientation.

>    Other non-congestion aware protocols MAY be used in deployments where

>    exporters and collectors always communicate over dedicated links 

>    which are not susceptible to congestion.

> "

> Now notice the subtle changing of the last paragraph that 

> Allision wanted:

> ---exporters an collectors always communicate over didicated links---

>                                         ^^^^^^

That is goodness.

> This basically limits any such deployment to a private network 

> connection between the collector and exporter that is NOT connected

> to the internet backbone i.e. its a 10.x.x.x address. In such a case

> I think it would be ok...

> Do you still have a problem with this?

In a 10.x.x.x network, one can still cause havoc off course.

But one can say: oh well that is the users responsibility.

I personally would like to see some more WARNING text as to what the

risks are, so that if people decide to use it over 

non-congestion-avoiding protocols, that they can easily evaluate what

the risks are and make an educated decision.

When you say dedicated link, I imagines a dedicated link between 

exporter and collector. But when you start to talk about a 10.x.x.x

network, all of a sudden it could be a internal company wide network.

OK, it does not hurt the public Internet, but it still hurts the

company network.

The language about SHOULD use SCTP and MAY use TCP makes me worry

that one can easily end up with non-interoperable implementations

where a customer buys a exporter and collector from X with SCTP

support and next buys another exporter from Y with TCP support.

How will these interopearte??

That is why I prefer a MUST implement ONE of the transports.

Which one is up to the WG.

Hope this helps.

Bert

> R

> -- 

> Randall R. Stewart

> ITD

> Cisco Systems Inc.

>  [email-masked] <mailto:[email-masked]>  815-342-5222(cell) or 815-477-2127(office)

--

Help         mailto:[email-masked] <mailto:[email-masked]>  and say "help" in message body

Unsubscribe  mailto:[email-masked] <mailto:[email-masked]>  and say

"unsubscribe ipfix" in message body

Archive      http://ipfix.doit.wisc.edu/archive/ <http://ipfix.doit.wisc.edu/archive/>